Return one runtime board shell without loading card items.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/boards/example/view-shell"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/boards/example/view-shell';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/boards/example/view-shellAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Runtime board shell without card items.
object
Runtime board summary available to the caller.
object
Runtime board status.
object
Runtime transition rule.
object
Permission subject displayed in runtime responses.
object
Runtime entity definition attached to a board.
object
Runtime target definition configured for a board.
object
Backend-approved query capabilities for one runtime entity definition.
object
Ordered list of query targets available to the current caller.
One runtime query target with backend-approved filter and sort capabilities.
object
Stable option identifier.
Localized user-facing label.
Reference to a runtime field by identifier, normalized key, or special query field.
object
Field identifier or backend-issued synthetic system-field identifier.
Field key resolved through the runtime normalized-key index.
Statement identifier resolved through the runtime statement index.
Statement key resolved through the runtime normalized-key index.
Configured object-context fact identifier.
Provider-owned object-context fact filter facet key.
Whether multiple values are allowed for the bound field.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse-reference fields.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Whether the backend accepts filter predicates for this option.
Operators accepted by the backend for this option.
Runtime variables accepted by the backend for this option.
Whether the backend accepts sort items for this option.
Base currency code for Money fields.
Maximum number of accepted sort items.
Initial mapping shown to runtime users and applied during target admission.
object
Runtime due-date policy included in the board shell.
object
Runtime due-date status expectation row.
object
Board-owned Part entity identity and default runtime surfaces.
object
Backend-approved query capabilities for one runtime entity definition.
object
Ordered list of query targets available to the current caller.
One runtime query target with backend-approved filter and sort capabilities.
object
Stable option identifier.
Localized user-facing label.
Reference to a runtime field by identifier, normalized key, or special query field.
object
Field identifier or backend-issued synthetic system-field identifier.
Field key resolved through the runtime normalized-key index.
Statement identifier resolved through the runtime statement index.
Statement key resolved through the runtime normalized-key index.
Configured object-context fact identifier.
Provider-owned object-context fact filter facet key.
Whether multiple values are allowed for the bound field.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse-reference fields.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Whether the backend accepts filter predicates for this option.
Operators accepted by the backend for this option.
Runtime variables accepted by the backend for this option.
Whether the backend accepts sort items for this option.
Base currency code for Money fields.
Maximum number of accepted sort items.
Normalized selector requested by the caller.
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Structured cycle warnings relevant to the selected shell scope.
Server-computed runtime shell actions.
object
object
object
object
object
Example
{ "Data": { "ResponsibilityMode": 0, "Statuses": [ { "MetaType": 0 } ], "Transitions": [ { "SubjectGrants": [ { "SubjectType": 0 } ] } ], "EntityDefinitions": [ { "CommentAccessLevel": 0, "AttachmentAccessLevel": 0 } ], "TargetDefinitions": [ { "TargetKind": 0, "CommentAccessLevel": 0, "AttachmentAccessLevel": 0, "CreateCommentPolicy": 0, "ReadCommentPolicy": 0, "CreateAttachmentPolicy": 0, "ReadAttachmentPolicy": 0, "QueryOptions": { "Options": [ { "Kind": 0, "Reference": { "Special": 0 }, "FieldType": 0, "ReferenceDeleteBehavior": 0, "FilterOperators": [ 0 ], "FilterVariables": [ 0 ] } ] }, "InitialFieldMappings": [ { "DestinationKind": 0, "DestinationFieldType": 0, "SourceFieldType": 0 } ] } ], "DueDatePolicy": { "TimeMode": 0, "Expectations": [ { "OffsetUnit": 0, "Severity": 0 } ] }, "BoardData": { "QueryOptions": { "Options": [ { "Kind": 0, "Reference": { "Special": 0 }, "FieldType": 0, "ReferenceDeleteBehavior": 0, "FilterOperators": [ 0 ], "FilterVariables": [ 0 ] } ] } }, "BoardType": 0, "CycleActivationMode": 0, "ResolvedCycle": { "LifecycleState": 0 }, "DateCurrentCycle": { "LifecycleState": 0 }, "PreviousCycle": { "LifecycleState": 0 }, "NextCycle": { "LifecycleState": 0 }, "CycleWarnings": [ 0 ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Runtime board shell without card items.
object
Runtime board summary available to the caller.
object
Runtime board status.
object
Runtime transition rule.
object
Permission subject displayed in runtime responses.
object
Runtime entity definition attached to a board.
object
Runtime target definition configured for a board.
object
Backend-approved query capabilities for one runtime entity definition.
object
Ordered list of query targets available to the current caller.
One runtime query target with backend-approved filter and sort capabilities.
object
Stable option identifier.
Localized user-facing label.
Reference to a runtime field by identifier, normalized key, or special query field.
object
Field identifier or backend-issued synthetic system-field identifier.
Field key resolved through the runtime normalized-key index.
Statement identifier resolved through the runtime statement index.
Statement key resolved through the runtime normalized-key index.
Configured object-context fact identifier.
Provider-owned object-context fact filter facet key.
Whether multiple values are allowed for the bound field.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse-reference fields.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Whether the backend accepts filter predicates for this option.
Operators accepted by the backend for this option.
Runtime variables accepted by the backend for this option.
Whether the backend accepts sort items for this option.
Base currency code for Money fields.
Maximum number of accepted sort items.
Initial mapping shown to runtime users and applied during target admission.
object
Runtime due-date policy included in the board shell.
object
Runtime due-date status expectation row.
object
Board-owned Part entity identity and default runtime surfaces.
object
Backend-approved query capabilities for one runtime entity definition.
object
Ordered list of query targets available to the current caller.
One runtime query target with backend-approved filter and sort capabilities.
object
Stable option identifier.
Localized user-facing label.
Reference to a runtime field by identifier, normalized key, or special query field.
object
Field identifier or backend-issued synthetic system-field identifier.
Field key resolved through the runtime normalized-key index.
Statement identifier resolved through the runtime statement index.
Statement key resolved through the runtime normalized-key index.
Configured object-context fact identifier.
Provider-owned object-context fact filter facet key.
Whether multiple values are allowed for the bound field.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse-reference fields.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Whether the backend accepts filter predicates for this option.
Operators accepted by the backend for this option.
Runtime variables accepted by the backend for this option.
Whether the backend accepts sort items for this option.
Base currency code for Money fields.
Maximum number of accepted sort items.
Normalized selector requested by the caller.
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Structured cycle warnings relevant to the selected shell scope.
Server-computed runtime shell actions.
object
object
object
object
object
Example
{ "Data": { "ResponsibilityMode": 0, "Statuses": [ { "MetaType": 0 } ], "Transitions": [ { "SubjectGrants": [ { "SubjectType": 0 } ] } ], "EntityDefinitions": [ { "CommentAccessLevel": 0, "AttachmentAccessLevel": 0 } ], "TargetDefinitions": [ { "TargetKind": 0, "CommentAccessLevel": 0, "AttachmentAccessLevel": 0, "CreateCommentPolicy": 0, "ReadCommentPolicy": 0, "CreateAttachmentPolicy": 0, "ReadAttachmentPolicy": 0, "QueryOptions": { "Options": [ { "Kind": 0, "Reference": { "Special": 0 }, "FieldType": 0, "ReferenceDeleteBehavior": 0, "FilterOperators": [ 0 ], "FilterVariables": [ 0 ] } ] }, "InitialFieldMappings": [ { "DestinationKind": 0, "DestinationFieldType": 0, "SourceFieldType": 0 } ] } ], "DueDatePolicy": { "TimeMode": 0, "Expectations": [ { "OffsetUnit": 0, "Severity": 0 } ] }, "BoardData": { "QueryOptions": { "Options": [ { "Kind": 0, "Reference": { "Special": 0 }, "FieldType": 0, "ReferenceDeleteBehavior": 0, "FilterOperators": [ 0 ], "FilterVariables": [ 0 ] } ] } }, "BoardType": 0, "CycleActivationMode": 0, "ResolvedCycle": { "LifecycleState": 0 }, "DateCurrentCycle": { "LifecycleState": 0 }, "PreviousCycle": { "LifecycleState": 0 }, "NextCycle": { "LifecycleState": 0 }, "CycleWarnings": [ 0 ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Runtime board shell without card items.
object
Runtime board summary available to the caller.
object
Runtime board status.
object
Runtime transition rule.
object
Permission subject displayed in runtime responses.
object
Runtime entity definition attached to a board.
object
Runtime target definition configured for a board.
object
Backend-approved query capabilities for one runtime entity definition.
object
Ordered list of query targets available to the current caller.
One runtime query target with backend-approved filter and sort capabilities.
object
Stable option identifier.
Localized user-facing label.
Reference to a runtime field by identifier, normalized key, or special query field.
object
Field identifier or backend-issued synthetic system-field identifier.
Field key resolved through the runtime normalized-key index.
Statement identifier resolved through the runtime statement index.
Statement key resolved through the runtime normalized-key index.
Configured object-context fact identifier.
Provider-owned object-context fact filter facet key.
Whether multiple values are allowed for the bound field.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse-reference fields.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Whether the backend accepts filter predicates for this option.
Operators accepted by the backend for this option.
Runtime variables accepted by the backend for this option.
Whether the backend accepts sort items for this option.
Base currency code for Money fields.
Maximum number of accepted sort items.
Initial mapping shown to runtime users and applied during target admission.
object
Runtime due-date policy included in the board shell.
object
Runtime due-date status expectation row.
object
Board-owned Part entity identity and default runtime surfaces.
object
Backend-approved query capabilities for one runtime entity definition.
object
Ordered list of query targets available to the current caller.
One runtime query target with backend-approved filter and sort capabilities.
object
Stable option identifier.
Localized user-facing label.
Reference to a runtime field by identifier, normalized key, or special query field.
object
Field identifier or backend-issued synthetic system-field identifier.
Field key resolved through the runtime normalized-key index.
Statement identifier resolved through the runtime statement index.
Statement key resolved through the runtime normalized-key index.
Configured object-context fact identifier.
Provider-owned object-context fact filter facet key.
Whether multiple values are allowed for the bound field.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse-reference fields.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Whether the backend accepts filter predicates for this option.
Operators accepted by the backend for this option.
Runtime variables accepted by the backend for this option.
Whether the backend accepts sort items for this option.
Base currency code for Money fields.
Maximum number of accepted sort items.
Normalized selector requested by the caller.
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Structured cycle warnings relevant to the selected shell scope.
Server-computed runtime shell actions.
object
object
object
object
object
Example
{ "Data": { "ResponsibilityMode": 0, "Statuses": [ { "MetaType": 0 } ], "Transitions": [ { "SubjectGrants": [ { "SubjectType": 0 } ] } ], "EntityDefinitions": [ { "CommentAccessLevel": 0, "AttachmentAccessLevel": 0 } ], "TargetDefinitions": [ { "TargetKind": 0, "CommentAccessLevel": 0, "AttachmentAccessLevel": 0, "CreateCommentPolicy": 0, "ReadCommentPolicy": 0, "CreateAttachmentPolicy": 0, "ReadAttachmentPolicy": 0, "QueryOptions": { "Options": [ { "Kind": 0, "Reference": { "Special": 0 }, "FieldType": 0, "ReferenceDeleteBehavior": 0, "FilterOperators": [ 0 ], "FilterVariables": [ 0 ] } ] }, "InitialFieldMappings": [ { "DestinationKind": 0, "DestinationFieldType": 0, "SourceFieldType": 0 } ] } ], "DueDatePolicy": { "TimeMode": 0, "Expectations": [ { "OffsetUnit": 0, "Severity": 0 } ] }, "BoardData": { "QueryOptions": { "Options": [ { "Kind": 0, "Reference": { "Special": 0 }, "FieldType": 0, "ReferenceDeleteBehavior": 0, "FilterOperators": [ 0 ], "FilterVariables": [ 0 ] } ] } }, "BoardType": 0, "CycleActivationMode": 0, "ResolvedCycle": { "LifecycleState": 0 }, "DateCurrentCycle": { "LifecycleState": 0 }, "PreviousCycle": { "LifecycleState": 0 }, "NextCycle": { "LifecycleState": 0 }, "CycleWarnings": [ 0 ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Runtime board shell without card items.
object
Runtime board summary available to the caller.
object
Runtime board status.
object
Runtime transition rule.
object
Permission subject displayed in runtime responses.
object
Runtime entity definition attached to a board.
object
Runtime target definition configured for a board.
object
Backend-approved query capabilities for one runtime entity definition.
object
Ordered list of query targets available to the current caller.
One runtime query target with backend-approved filter and sort capabilities.
object
Stable option identifier.
Localized user-facing label.
Reference to a runtime field by identifier, normalized key, or special query field.
object
Field identifier or backend-issued synthetic system-field identifier.
Field key resolved through the runtime normalized-key index.
Statement identifier resolved through the runtime statement index.
Statement key resolved through the runtime normalized-key index.
Configured object-context fact identifier.
Provider-owned object-context fact filter facet key.
Whether multiple values are allowed for the bound field.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse-reference fields.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Whether the backend accepts filter predicates for this option.
Operators accepted by the backend for this option.
Runtime variables accepted by the backend for this option.
Whether the backend accepts sort items for this option.
Base currency code for Money fields.
Maximum number of accepted sort items.
Initial mapping shown to runtime users and applied during target admission.
object
Runtime due-date policy included in the board shell.
object
Runtime due-date status expectation row.
object
Board-owned Part entity identity and default runtime surfaces.
object
Backend-approved query capabilities for one runtime entity definition.
object
Ordered list of query targets available to the current caller.
One runtime query target with backend-approved filter and sort capabilities.
object
Stable option identifier.
Localized user-facing label.
Reference to a runtime field by identifier, normalized key, or special query field.
object
Field identifier or backend-issued synthetic system-field identifier.
Field key resolved through the runtime normalized-key index.
Statement identifier resolved through the runtime statement index.
Statement key resolved through the runtime normalized-key index.
Configured object-context fact identifier.
Provider-owned object-context fact filter facet key.
Whether multiple values are allowed for the bound field.
Decimal precision when applicable.
Decimal scale when applicable.
String max length when applicable.
Target entity definition identifier for reference-style fields.
Paired reference field identifier for inverse-reference fields.
Select options when applicable.
Option metadata for select fields.
object
Option identifier.
Owning field identifier.
Option key.
Option display value.
Sort order.
Whether the backend accepts filter predicates for this option.
Operators accepted by the backend for this option.
Runtime variables accepted by the backend for this option.
Whether the backend accepts sort items for this option.
Base currency code for Money fields.
Maximum number of accepted sort items.
Normalized selector requested by the caller.
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Compact cycle summary for a runtime board item.
object
Structured cycle warnings relevant to the selected shell scope.
Server-computed runtime shell actions.
object
object
object
object
object
Example
{ "Data": { "ResponsibilityMode": 0, "Statuses": [ { "MetaType": 0 } ], "Transitions": [ { "SubjectGrants": [ { "SubjectType": 0 } ] } ], "EntityDefinitions": [ { "CommentAccessLevel": 0, "AttachmentAccessLevel": 0 } ], "TargetDefinitions": [ { "TargetKind": 0, "CommentAccessLevel": 0, "AttachmentAccessLevel": 0, "CreateCommentPolicy": 0, "ReadCommentPolicy": 0, "CreateAttachmentPolicy": 0, "ReadAttachmentPolicy": 0, "QueryOptions": { "Options": [ { "Kind": 0, "Reference": { "Special": 0 }, "FieldType": 0, "ReferenceDeleteBehavior": 0, "FilterOperators": [ 0 ], "FilterVariables": [ 0 ] } ] }, "InitialFieldMappings": [ { "DestinationKind": 0, "DestinationFieldType": 0, "SourceFieldType": 0 } ] } ], "DueDatePolicy": { "TimeMode": 0, "Expectations": [ { "OffsetUnit": 0, "Severity": 0 } ] }, "BoardData": { "QueryOptions": { "Options": [ { "Kind": 0, "Reference": { "Special": 0 }, "FieldType": 0, "ReferenceDeleteBehavior": 0, "FilterOperators": [ 0 ], "FilterVariables": [ 0 ] } ] } }, "BoardType": 0, "CycleActivationMode": 0, "ResolvedCycle": { "LifecycleState": 0 }, "DateCurrentCycle": { "LifecycleState": 0 }, "PreviousCycle": { "LifecycleState": 0 }, "NextCycle": { "LifecycleState": 0 }, "CycleWarnings": [ 0 ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}